#!/usr/bin/env python
from setuptools import setup, find_packages
from owt.constants import version, project_descr, project_url

def readme():
    try:
        return open('README.txt').read()
    except:
        return ""

setup(name='owt',
      version=version,
      description=project_descr,
      long_description=readme(),
      author='Juan J. Martinez',
      author_email='jjm@usebox.net',
      url=project_url,
      license='GPL',
      install_requires=['pygame'],
      include_package_data=True,
      zip_safe=False,
      scripts=['scripts/owt'],
      packages=['owt'],
      classifiers = [
        'Development Status :: 4 - Beta',
        'Programming Language :: Python',
        'Operating System :: OS Independent',
        'License :: OSI Approved :: GNU General Public License (GPL)',
        'Topic :: Games/Entertainment',
        'Intended Audience :: End Users/Desktop',
        ],
      )

